Steam Deck - a love letter to Linux & handheld gamers

Alternative title: Steam Deck, a Linux PC console.

Valve recently announced [Steam Deck](https://steamdeck.com) and I
must say that I like it. The people that made this hardware are clearly
as passionate computer nerds as we are here. The controls do look a bit
uncomfortable to my taste, but I'll judge it when I see it. The operating
system used for Valve's handheld is Free Software built on [Arch Linux](https://archlinux.org).
This may be one of the first (?) appearances of Arch Linux on a consumer
product in actual prduction en masses. Not only are their software choices
solid, they also allow you to decide that by not locking you out of your
system and granting you access to desktop & install other OSes. You are
also not limited to just Steam, you can easily install emulators on it and
insert an SD card with your favourite ROMs. When docked, it will be a staple
of your living room, a powerhouse capable of emulating likely up to PS3 even.
Speaking of docks - while it is sold separately, I like what I see. You can
turn your Steam Deck into a full on desktop experience with external monitor,
Ethernet connectivity and fully working USB ports.

How does this compare to Nintendo's Switch handheld console? To start off,
Switch uses closed source software and actively stops you from escaping its
walled garden, often ending up banning your online profile on signs of device
modification. The device is as powerful as a ~$100 Android phone these days,
yet they get away with selling a new display as of recent for a premium.
Steam Deck is some fresh air into the handheld market as it allows complete
freedom over your device while not forcing you into an ecosystem of walled
gardens. The hardware is also much more powerful than what a Switch has.
Steam Deck is a consumer-friendly and open option for anyone that cares about
their device being open without getting banned from every accessing console's
online services. I will personally be buying a Steam Deck and be writing a review
piece when it arrives.

Thanks for reading,
- Cernodile

;tags:steam hardware handheld linux
